Package twisted :: Package python :: Module delay :: Class Time

[show private | hide private]
[frames | no frames]

## Class Time

I am a list of events which will happen at particular points in time.

Method Summary
| `__init__(self)`
| ``__getstate__`(self)` Save state by storing all callback timeouts as differences from the current time.
| `__repr__(self)`
| `runEverything(self)`
| ``runLater`(self, seconds, func, *args, **kw)` Run an event a specified number of seconds later.
| ``runUntilCurrent`(self)` IDelayed.runUntilCurrent
| ``timeout`(self)` IDelayed.timeout

Class Variable Summary
`class` | `IDelayed`

Method Details

### __getstate__(self)

Save state by storing all callback timeouts as differences from the current time.

### runLater(self, seconds, func, *args, **kw)

Run an event a specified number of seconds later.

### runUntilCurrent(self)

IDelayed.runUntilCurrent

### timeout(self)

IDelayed.timeout

Class Variable Details

### IDelayed

`IDelayed` = `twisted.python.delay.IDelayed`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:04 2003 | http://epydoc.sf.net